Subject: Re: bug#22107: 25.1; Wrong docstring for this-single-command-keys

From: Stefan Monnier <[email-masked]>
Date: Thu, 10 Dec 2015 23:17:49 -0500

>> This said, the distinction between "this-single-command-keys" and
>> "this-command-keys" is something which should disappear, IMNSHO.
> Are we sure no one out there depends on that?  This is a very old
> feature.

I'm not, but we should go in that direction, i.e. we should check where
this distinction might be used and how to fix/change it.

FWIW, I've already made such changes to the keyboard-macro machinery
which depended on it, and the result was simpler code (since C-u is now
a plain normal command, the special casing of C-u was simply dropped).

This probably also means that fixing bug#22107 may introduce other
regressions because of code I changed to rely on the new behavior.

        Stefan